Raidificator = {};

-------------------------------------------------------------------------------------------------
--  Initialize variables --
-------------------------------------------------------------------------------------------------
Raidificator._tracker = "Raidificator";
Raidificator._wm = WINDOW_MANAGER;
Raidificator._slashCommand = "/rcr";
Raidificator._slashCommands = {
	help = "help",
	regroup = "regroup",
	history = "history",
	toggle = "toggle",
	lock = "lock"
};
Raidificator._pollInterval = 900;
Raidificator._regroupDelay = 2000;
Raidificator._playerName = GetUnitName("player");
Raidificator._trials = {
	[1] = {
		id = 1,
		name = "Hel Ra Citadel",
		shortName = "HRC"
	},
	[2] = {
		id = 2,
		name = "Aetherian Archive",
		shortName = "AA"
	},
	[3] = {
		id = 3,
		name = "Sanctum Ophidia",
		shortName = "SO"
	},
	[4] = {
		id = 4,
		name = "Dragonstar Arena",
		shortName = "DSA"
	},
	[5] = {
		id = 5,
		name = "Maw of Lorkhaj",
		shortName = "MOL"
	},
	[6] = {
		id = 6,
		name = "Maelstrom Arena",
		shortName = "MA"
	},
};
Raidificator._state = {
	forceShow = false,
	raidId = nil,
	raidInProgress = false,
	initialized = false,
	revivesRemaining = nil,
	revivesMax = nil,
	targetTime = nil,
	history = {
		trialId = nil,
		sorting = nil,
		sortingDirection = nil,
		trials = nil
	}
};
Raidificator._defaultSettings = {
	offsetX = 0,
	offsetY = 0,
	isMovable = true,
	history = {},
};
Raidificator._font = "Raidificator/fonts/Metamorphous.otf|" .. 16 .. "|soft-shadow-thin";
Raidificator._fontLarge = "Raidificator/fonts/Metamorphous.otf|" .. 24 .. "|soft-shadow-thin";
Raidificator._fontSmall = "Raidificator/fonts/Metamorphous.otf|" .. 14 .. "|soft-shadow-thin";
Raidificator._fontXSmall = "Raidificator/fonts/Metamorphous.otf|" .. 12 .. "|soft-shadow-thin";
Raidificator._history = {
	minEntries = 1,
	maxEntries = 10,
	sortingDirection = {
		ascending = 1,
		descending = 2
	},
	sorters = {
		byScore = 1,
		byDate = 2,
		byTotalTime = 3,
		byCharacter = 4,
		bySouls = 5
	}
};
